org.apache.nutch.tools

## Class Benchmark

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.nutch.tools.Benchmark

- All Implemented Interfaces:
    Configurable, Tool

      public class Benchmark
      extends Configured
      implements Tool

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Benchmark.BenchmarkResults`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Benchmark()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Benchmark.BenchmarkResults` | `benchmark(int seeds, int depth, int threads, int maxPerHost, long topN, String plugins)`
    `static void` | `main(String[] args)`
    `int` | `run(String[] args)`

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.conf.Configurable

      `getConf, setConf`

- - ### Constructor Detail

    - #### Benchmark

          public Benchmark()

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

    - #### run

          public int run(String[] args)
                  throws Exception

      Specified by:
        `run` in interface `Tool`
      Throws:
        `Exception`

    - #### benchmark

          public Benchmark.BenchmarkResults benchmark(int seeds,
                                             int depth,
                                             int threads,
                                             int maxPerHost,
                                             long topN,
                                             String plugins)
                                               throws Exception

      Throws:
        `Exception`

Copyright © 2015 The Apache Software Foundation